a,
abbr,
acronym,
address,
applet,
article,
aside,
audio,
b,
big,
blockquote,
body,
canvas,
caption,
center,
cite,
code,
dd,
del,
details,
dfn,
div,
dl,
dt,
em,
embed,
fieldset,
figcaption,
figure,
footer,
form,
h1,
h2,
h3,
h4,
h5,
h6,
header,
hgroup,
html,
i,
iframe,
img,
ins,
kbd,
label,
legend,
li,
mark,
menu,
nav,
object,
ol,
output,
p,
pre,
q,
ruby,
s,
samp,
section,
small,
span,
strike,
strong,
sub,
summary,
sup,
table,
tbody,
td,
tfoot,
th,
thead,
time,
tr,
tt,
u,
ul,
var,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:after,
blockquote:before,
q:after,
q:before {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
html {
  min-height: 100%;
  height: 100%;
}
a {
  color: #0034ab;
}
.clearfix:after {
  content: ".";
  display: block;
  clear: both;
  visibility: hidden;
  line-height: 0;
  height: 0;
}
.body {
  font: 1em/1.25 "PT Sans", arial, sans-serif;
  position: relative;
  overflow-y: scroll;
  cursor: default;
  min-height: 100%;
  background: #fff;
  height: 100%;
}
.body-wrap {
  min-width: 990px;
  max-width: 1080px;
  position: relative;
  margin: 0 auto;
  z-index: 1;
  background: #fff;
  min-height: 100%;
}
.body__with-langs__opened .body-wrap:after {
  display: block;
  content: "";
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.05);
  position: fixed;
  z-index: 101;
}
.body__game_over .notifications-wrap {
  background: rgba(255, 255, 255, 0.5);
  z-index: 100;
  height: 100%;
}
.body__game_freeze .notifications-wrap {
  background: rgba(255, 255, 255, 0.5);
  z-index: 100;
  height: 100%;
}
.body__game_over .battlefield__wait:after {
  display: none;
}
.body__game_freeze .battlefield__wait:after {
  display: none;
}
.logo {
  display: inline-block;
  position: absolute;
  left: 20px;
  top: 20px;
  font-weight: 700;
  font-size: 1.5em;
  line-height: 1;
}
.logo-link {
  color: #000 !important;
  text-decoration: none;
  position: relative;
  white-space: nowrap;
}
.logo-link-underline {
  border-bottom: 1px solid #bfbfbf !important;
  position: absolute;
  width: 100%;
  height: 1px;
  left: 0;
  bottom: 2px;
  z-index: -1;
}
.langs {
  z-index: 99;
  padding: 0;
  right: 20px;
  top: 20px;
  width: auto;
  font-size: 0.8em;
  position: absolute;
}
.lang {
  height: 9px;
  margin-left: 5px;
  background-image: url(data:image/png;base64,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);
  background-position: -1000px -1000px;
  background-repeat: no-repeat;
  position: relative;
  vertical-align: top;
  display: block;
  font-size: 1em;
  text-indent: 0;
  width: auto;
}
.lang__be {
  background-position: 0 0;
}
.lang__cs {
  background-position: 0 -10px;
}
.lang__da {
  background-position: 0 -20px;
}
.lang__de {
  background-position: 0 -30px;
}
.lang__el {
  background-position: 0 -40px;
}
.lang__en {
  background-position: 0 -50px;
}
.lang__es {
  background-position: 0 -60px;
}
.lang__fr {
  background-position: 0 -70px;
}
.lang__hu {
  background-position: 0 -80px;
}
.lang__it {
  background-position: 0 -90px;
}
.lang__nl {
  background-position: 0 -100px;
}
.lang__ja {
  background-position: 0 -110px;
}
.lang__pl {
  background-position: 0 -120px;
}
.lang__pt {
  background-position: 0 -130px;
}
.lang__ru {
  background-position: 0 -140px;
}
.lang__sr {
  background-position: 0 -150px;
}
.lang__fi {
  background-position: 0 -160px;
}
.lang__sv {
  background-position: 0 -170px;
}
.lang__uk {
  background-position: 0 -180px;
}
.lang__zh {
  background-position: 0 -190px;
}
.lang__lv {
  background-position: 0 -200px;
}
.lang__tr {
  background-position: 0 -210px;
}
.lang__ko {
  background-position: 0 -220px;
}
.lang__ca {
  background-position: 0 -230px;
}
.lang__hy {
  background-position: 0 0;
  background-size: contain;
  width: 16px;
  background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxNiA5Ij48cGF0aCBmaWxsPSIjRjJBODAwIiBkPSJNMCAwaDE2djlIMHoiLz48cGF0aCBmaWxsPSIjMDAzM0EwIiBkPSJNMCAwaDE2djZIMHoiLz48cGF0aCBmaWxsPSIjRDkwMDEyIiBkPSJNMCAwaDE2djNIMHoiLz48L3N2Zz4=);
}
.lang-link {
  position: relative;
  left: 0 !important;
  top: -4px !important;
  padding-left: 20px;
  height: auto;
  width: auto;
  display: inline-block;
}
.langs .lang__selected,
.langs__opened .lang {
  display: block !important;
}
.langs .lang {
  display: none;
}
.langs__opened {
  position: absolute;
  top: 40px;
  right: 10px;
  z-index: 102;
  padding: 0 10px;
  background: #fff;
  border: 1px solid #eee;
  border: 1px solid rgba(238, 238, 238, 0);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.25);
  width: 200px;
}
.langs__opened::after {
  content: "";
  display: inline-block;
  position: absolute;
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  border-bottom: 6px solid #fff;
  right: 20px;
  top: -5px;
  margin-right: -1px;
}
.langs__opened::before {
  content: "";
  display: inline-block;
  position: absolute;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-bottom: 5px solid #ccc;
  right: 20px;
  top: -6px;
  z-index: -1;
}
.lang__selected .lang-link {
  border-bottom: 1px dotted;
  text-decoration: none;
  outline: 0;
}
.lang__selected .lang-link:hover {
  color: #00a405;
}
.lang__selected .lang-link::after {
  content: "";
  display: inline-block;
  position: absolute;
  right: -1.5em;
  font-size: 8px;
  bottom: 5px;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 4px solid;
  width: 0;
  height: 0;
  text-indent: -99999px;
}
.langs__opened .lang {
  margin: 15px 0;
  float: left;
  width: 50%;
}
.langs__opened .lang__selected {
  top: -41px;
  position: absolute;
  right: 9px;
  margin: 20px 0;
  float: none;
  width: auto;
}
.langs__opened .lang__selected .lang-link:hover {
  color: inherit;
}
.langs__opened .lang__selected .lang-link::after {
  display: none;
  content: "";
}
.langs__opened .lang__priority .lang-link {
  position: relative;
}
.langs__opened .lang__priority .lang-link::before {
  background: rgba(203, 225, 255, 0.4);
  display: inline-block;
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: -1;
  left: 0;
  top: 0;
  box-shadow: 0 0 10px rgba(203, 225, 255, 1);
}
.langs__opened .lang__selected .lang-link::before {
  display: none;
}
.leave {
  position: absolute;
  top: 40px;
  right: 20px;
  font-size: 0.8em;
}
.leave-link {
  color: #a80000;
}
.battlefields {
  padding-top: 110px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.battlefield {
  width: 50%;
  position: relative;
}
.battlefield__self {
  float: left;
}
.battlefield__rival {
  float: right;
}
.battlefield__wait {
  position: relative;
  cursor: default;
}
.battlefield__wait:after {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba(255, 255, 255, 0.6);
  z-index: 100;
  content: "";
}
.body__with-pointerevents .battlefield__wait:after {
  display: none;
}
.battlefield__rival.battlefield__wait,
.battlefield__rival.battlefield__wait * {
  cursor: default;
}
.battlefields__handly .battlefield__rival {
  display: none;
  width: 0;
  overflow: hidden;
}
.battlefields__handly .battlefield__self {
  margin-left: 250px;
}
.battlefields__handly .port {
  display: block;
}
.port {
  width: 350px;
  margin-left: -350px;
  position: absolute !important;
  top: 0;
  left: 0;
}
.port-instruction {
  font-size: 0.8em;
  margin-bottom: 2em;
  margin-right: 2em;
  line-height: 1.4;
}
.port-lines {
  position: relative;
  top: -1.26em;
  left: -0.7em;
  margin-left: 1px;
}
.port-line {
  position: relative;
  margin: 0;
}
.port-ship {
  position: relative;
  margin: 1.26em 0.7em;
  float: left;
  border: 1px dotted #b2b2b9;
}
.battlefield-gap {
  display: inline-block;
  position: relative;
  margin: 40px 0;
}
.battlefield__self .battlefield-gap {
  margin-left: 130px;
  float: left;
}
.battlefield__rival .battlefield-gap {
  margin-right: 120px;
  float: right;
}
.battlefield-label {
  font-size: 0.8em;
  position: relative;
  text-align: center;
  bottom: -10px;
}
.battlefield-label-comment {
  font-size: 0.9em;
  font-style: italic;
  position: absolute;
  text-align: center;
  width: 100%;
  bottom: -100%;
}
.ship-box {
  z-index: 2;
  left: 0;
  top: 0;
  border: 2px solid #00f;
  background: rgba(0, 0, 255, 0.05);
  position: absolute !important;
  margin: -2px;
}
.battlefield-cell__done .ship-box {
  border-color: red;
  background: rgba(255, 0, 0, 0.05);
}
.ship-box__placeholder {
  border-color: #40bf44;
  background: rgba(64, 191, 68, 0.05);
}
.ship-box__placeholder_error {
  border-color: red !important;
  background: rgba(255, 255, 0, 0.05) !important;
}
.ship-box__transparent {
  visibility: hidden;
}
.battlefield-table-placeholder {
  min-height: 340px;
  min-width: 340px;
}
.body__with-pointerevents .battlefield__wait .battlefield-label,
.body__with-pointerevents .battlefield__wait .battlefield-stat,
.body__with-pointerevents .battlefield__wait .battlefield-table-placeholder {
  opacity: 0.4;
  pointer-events: none;
}
.battlefield-table {
  margin: 0;
  border-collapse: collapse;
  cursor: default;
  display: inline-block;
  position: relative;
}
.battlefield-cell {
  border: 1px solid #b4b4ff;
  padding: 0;
}
.battlefield-cell__busy {
  border-color: rgba(0, 0, 255, 0.1);
}
.battlefield__wait .battlefield-cell {
  border: 1px solid rgba(180, 180, 255, 0.5) !important;
}
.battlefield-cell-content {
  position: relative;
  height: 2em;
  width: 2em;
}
.battlefield-cell__undiscovered {
  background: #b4b4ff;
  background: rgba(180, 180, 255, 0.5);
}
.battlefield__rival .battlefield-cell__empty:hover .battlefield-cell-content {
  cursor: pointer;
  position: relative;
}
.battlefield__rival
  .battlefield-cell__empty:hover
  .battlefield-cell-content:after {
  border: 2px solid #40bf44;
  background: rgba(64, 191, 68, 0.05);
  position: absolute;
  width: 2em;
  height: 2em;
  top: 0;
  left: 0;
  margin: -2px;
  content: "";
  display: block;
  cursor: pointer;
  z-index: 2;
}
.battlefield__processed .battlefield-cell__empty .battlefield-cell-content {
  cursor: default !important;
}
.battlefield__processed
  .battlefield-cell__empty
  .battlefield-cell-content:after {
  display: none !important;
}
.battlefield__wait .battlefield-cell__empty:hover .battlefield-cell-content {
  background: 0 0 !important;
}
.battlefield__wait
  .battlefield-cell__empty:hover
  .battlefield-cell-content:after {
  display: none;
}
.battlefield-cell__done .battlefield-cell-content:after {
  content: "";
  display: block;
  height: 2em;
  width: 2em;
  border: 1px solid red;
  margin: -1px;
  position: absolute;
  z-index: 3;
  top: 0;
  left: 0;
}
.battlefield-cell__last .battlefield-cell-content:after,
.battlefield-cell__processed .battlefield-cell-content:before {
  content: "";
  display: block;
  height: 2em;
  width: 2em;
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  background-color: #fafad2;
}
.battlefield-cell__hit .battlefield-cell-content {
  background: 0 0;
  position: relative;
}
.battlefield-cell__hit .battlefield-cell-content .z {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  overflow: hidden;
  box-sizing: border-box;
}
.battlefield-cell__hit .battlefield-cell-content .z:after,
.battlefield-cell__hit .battlefield-cell-content .z:before {
  content: "";
  position: absolute;
  z-index: -1;
  background: red;
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
.battlefield-cell__hit .battlefield-cell-content .z:before {
  left: 50%;
  width: 2px;
  top: -25%;
  height: 150%;
  margin-top: 1px;
}
.battlefield-cell__hit .battlefield-cell-content .z:after {
  top: 50%;
  height: 2px;
  left: -25%;
  width: 150%;
  margin-left: -1px;
}
.battlefield-cell__miss .battlefield-cell-content {
  background: #f2f4f8;
}
.battlefield-cell__miss .battlefield-cell-content .z {
  position: absolute;
  top: 50%;
  left: 50%;
  height: 4px;
  width: 4px;
  background: #333;
  border-radius: 50%;
  margin-top: -2px;
  margin-left: -2px;
}
.battlefield-cell__miss__auto .battlefield-cell-content .z {
  background: silver;
}
.battlefield-cell__last .battlefield-cell-content,
.battlefield-cell__processed .battlefield-cell-content {
  background-color: transparent;
}
.marker {
  position: absolute;
  font-size: 11px;
  z-index: -1;
}
.marker__row {
  left: -3em;
  width: 2em;
  text-align: right;
  top: 1em;
  height: 1em;
}
.marker__col {
  top: -2em;
  left: 0;
  width: 100%;
  text-align: center;
}
.notifications-wrap {
  width: 100%;
  left: 0;
  top: 0;
  position: absolute;
  z-index: -1;
}
.notifications {
  margin: 10px auto;
  width: 400px;
  height: 100px;
}
.notification {
  background: #f8f8f8;
  padding: 0.5em;
  overflow: hidden;
  position: relative;
}
.notification-message {
  position: relative;
  z-index: 0;
}
.notification-submit {
  margin-top: 0.8em;
}
.notification-submit + .notification-submit {
  margin-left: 1em;
}
.notification__cws {
  background: #d5efd6;
  margin: 0 -100px;
}
.notification__game-over-win {
  background: green;
  color: #fff;
}
.notification__game-over-lose {
  background: red;
  color: #fff;
}
.notification__rival-leave {
  background: #8b0000;
  color: #fff;
}
.notification__game-error,
.notification__server-error {
  background: red;
  color: #fff;
}
.notification__waiting-for-rival .notification-message::after {
  height: 100%;
  width: 0;
  content: "";
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: -1;
  box-shadow: 0 0 100px 20px #ccc;
  -webkit-animation: ticker 3s linear 0s infinite alternate;
  animation: ticker 3s linear 0s infinite alternate;
}
@-webkit-keyframes ticker {
  from {
    margin-left: -20%;
  }
  to {
    margin-left: 120%;
  }
}
@-moz-keyframes ticker {
  from {
    margin-left: -20%;
  }
  to {
    margin-left: 120%;
  }
}
@-o-keyframes ticker {
  from {
    margin-left: -20%;
  }
  to {
    margin-left: 120%;
  }
}
@keyframes ticker {
  from {
    margin-left: -20%;
  }
  to {
    margin-left: 120%;
  }
}
.settings {
  padding: 0 20px;
  font-size: 0.76em;
  margin: 100px 0 10px;
}
.settings-label {
  float: left;
  margin: 0 1em 0 0;
}
.setting {
  float: left;
  margin: 0 1em 0 0;
}
.setting:first-child {
  margin-top: 0;
}
.setting:last-child {
  margin-bottom: 0;
}
.setting-input {
  margin: 0 0.25em 0 0;
  position: relative;
  padding: 0;
  bottom: -1px;
  float: left;
}
.setting-input:disabled + .setting-label {
  color: #666;
}
.placeships {
  font-size: 0.8em;
  position: absolute;
  bottom: -4em;
  left: 0;
  margin-right: -22px;
}
.placeships-variant {
  display: inline-block;
  margin-right: 2em;
  margin-bottom: 1em;
  top: 4em;
  padding-right: 22px;
  position: relative;
}
.placeships-variant:last-child {
  margin-right: 0;
}
.placeships-variant-link {
  color: #0034ab;
  border-bottom: 1px dotted;
  cursor: pointer;
}
.placeships-variant__archive_inactive .placeships-variant-link,
.placeships-variant__hands_inactive .placeships-variant-link,
.placeships-variant__inactive .placeships-variant-link {
  color: #999 !important;
  cursor: default !important;
  border-bottom: transparent !important;
}
.placeships-variant-link:hover {
  color: #00a405;
}
.placeships-variant .placeships-variant-link:after {
  position: absolute;
  content: "";
  display: block;
  height: 16px;
  width: 26px;
  right: 0;
  top: 1px;
  background: url(/static/i/placeships-variant.png) -1000px -1000px no-repeat;
}
.placeships-variant__randomly .placeships-variant-link:after {
  background-position: 0 0;
}
.placeships-variant__randomly .placeships-variant-link:hover:after {
  background-position: 0 -20px;
}
.placeships-variant__hands .placeships-variant-link:after {
  background-position: -30px 0;
}
.placeships-variant__hands .placeships-variant-link:hover:after {
  background-position: -30px -20px;
}
.placeships-variant__hands_inactive .placeships-variant-link:after {
  background-position: -30px -40px !important;
}
.battlefield-start {
  position: absolute;
  top: 30%;
  width: 100%;
  z-index: 101;
}
.body__game_over .battlefield-start {
  z-index: 99;
}
.battlefield-start-gap {
  text-align: left;
  padding: 0 1em;
  margin-right: 4px;
}
.battlefield-start-hint {
  margin: 0 1.6em;
  font-size: 0.9em;
  line-height: 1.4;
}
.battlefield-start-button {
  border: 1px solid #d6d6d6;
  background: #d5efd6;
  background: linear-gradient(
    to bottom,
    rgba(225, 250, 225, 1) 0,
    rgba(195, 222, 197, 1) 100%
  );
  margin: 1em 0 0;
  padding: 0.2em 0.8em;
  font-size: 1.32em;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.25);
  line-height: 1;
  font-family: inherit;
  cursor: pointer !important;
  outline: 0;
  display: inline-block;
}
.battlefield-start-button:active {
  top: 2px;
  position: relative;
}
.battlefield-start-button__disabled {
  cursor: default !important;
  top: 0;
  opacity: 0.5;
  pointer-events: none;
}
.battlefield-stat {
  position: absolute;
  top: 40px;
}
.battlefield__self .battlefield-stat {
  left: 20px;
}
.battlefield__rival .battlefield-stat {
  right: 20px;
}
.ship-types {
  display: inline-block;
}
.ship-type {
  overflow: hidden;
}
.ship {
  margin: 0 7px 13px 0;
  display: block;
  float: left;
}
.ship:last-child {
  margin-right: 0;
}
.ship-part {
  width: 7px;
  height: 7px;
  margin: 0 1px 0 0;
  background: #c5c5ff;
  display: block;
  float: left;
}
.ship__killed .ship-part {
  background: #ffaeae;
}
.ship-part:last-child {
  margin-right: 0;
}
.battlefield-start-choose_rival {
  font-size: 0.8em;
  margin-top: -30px;
  position: relative;
}
.battlefield-start-choose_rival-label {
  font-size: 1.5em;
  margin-bottom: 0.2em;
}
.battlefield-start-choose_rival-variants {
  display: inline;
}
.battlefield-start-choose_rival-variant {
  display: inline;
  margin-left: -0.32em;
  margin-right: 0.25em;
}
.battlefield-start-choose_rival-variant-link {
  cursor: pointer !important;
  padding: 0.12em 0.32em;
}
.battlefield-start-choose_rival-variant-url {
  padding: 2em 0 0;
}
.battlefield-start-choose_rival-variant-url-label {
  margin-bottom: 0.2em;
}
.battlefield-start-choose_rival-variant-url-input {
  width: 100%;
  background: #f8f8f8;
  cursor: text !important;
  font-size: 100%;
  font-family: inherit;
  box-sizing: border-box;
}
.battlefield-start-choose_rival-variant-url-input::-ms-clear {
  display: none;
}
.battlefield-start-choose_rival-variant
  .battlefield-start-choose_rival-variant-url {
  display: none;
}
.battlefield-start-choose_rival-variant__active
  .battlefield-start-choose_rival-variant-url {
  display: block;
}
.battlefield-start-choose_rival-variant__active
  .battlefield-start-choose_rival-variant-link {
  background: #eee;
  text-decoration: none;
  color: #000;
  cursor: text !important;
}
.chat-gap {
  padding: 0.5em;
  background: #f8f8f8;
  background: rgba(250, 250, 250, 0.85);
  margin: 20px 0;
  position: relative;
}
.body__game_freeze .chat-gap {
  z-index: 101;
}
.chat-gap__compact {
  position: fixed;
  left: 0;
  bottom: 0;
  z-index: 100;
  width: 25%;
  min-width: 200px;
  max-width: 240px;
  height: auto;
  max-height: 120px;
  overflow: auto;
  border: 1px solid #d7d7d7;
  margin: 0;
  visibility: visible;
  opacity: 1;
}
.body__game_over .chat-gap__compact {
  transition: opacity 1s ease-out;
  opacity: 0;
  overflow: hidden;
}
.chat {
  width: 100%;
  font-size: 0.76em;
}
.chat-gap__compact .chat {
  overflow: auto;
  height: 100%;
}
.chat-teletype {
  width: 100%;
  box-sizing: border-box;
  font: inherit;
}
.chat-gap__compact .chat-teletype {
  outline: 0;
}
.chat-messages {
  overflow: auto;
  max-height: 200px;
  width: 100%;
}
.chat-gap__compact .chat-messages {
  max-height: inherit;
  overflow: hidden;
}
.chat-message {
  margin: 0.5em 0;
}
.chat-gap__compact .chat-message {
  overflow: hidden;
}
.chat-message-text {
  line-height: 1.4;
}
.chat-message__self .chat-message-text {
  color: #999;
}
.chat-gap__compact .chat-message-text {
  width: 90%;
  line-height: 1.2;
  display: inline-block;
}
.chat-gap__compact .chat-message__self .chat-message-text {
  text-align: right !important;
  float: right;
}
.chat-message-time {
  color: #999;
}
.chat-gap__compact .chat-message-time {
  display: none;
}
.chat-states {
  margin-top: 0.5em;
}
.chat-state {
  visibility: visible;
}
.chat-state__invisible {
  visibility: hidden;
}
.body__game_over .chat-state {
  visibility: hidden;
}
.dock {
  position: fixed;
  left: 50%;
  top: 0;
  padding: 1em 2em;
  height: 100%;
  width: 50%;
  overflow: auto;
  background-color: #fff;
  background-color: rgba(255, 255, 255, 0.95);
  z-index: 101;
  border: 1px solid #eee;
  box-sizing: border-box;
}
.dock-label {
  margin: 0 0 1em;
  position: relative;
}
.dock-closer {
  position: absolute;
  right: 10px;
  top: 0;
  font-size: 40px;
  font-family: -webkit-pictograph, arial, sans-serif;
  z-index: 103;
  cursor: pointer;
  color: #ccc;
}
.dock-sets {
  margin-left: -1em;
}
.dock-table {
  border: 1px solid #eee;
  border-collapse: collapse;
  cursor: pointer;
  margin: 1em;
  float: left;
}
.dock-table__current {
  cursor: inherit;
}
.dock-table-cell {
  padding: 3px;
  border: 1px solid #eee;
}
.dock-table-cell__marked {
  background-color: #b4b4ff;
}
.dock-table__current .dock-table-cell__marked {
  background-color: silver;
}
.dock-table-cell-position-gap {
  position: relative;
  font-size: 0;
  line-height: 0;
}
.dock-table-cell-position {
  position: absolute;
  left: -2.4em;
  top: 0.6em;
  font-size: 10px;
  color: #999;
  width: 2em;
  text-align: right;
}
.copyright {
  border-top: 1px dashed #eee;
  padding: 5px 0 0;
  margin: 1em 20px;
  font-size: 0.76em;
  color: #999;
}
.copyright-gp {
  margin-left: 40px;
  float: left;
}
.copyright-links {
  float: right;
  white-space: nowrap;
}
.copyright-link {
  color: #999;
  margin-right: 1em;
  display: inline-block;
}
.copyright-link:last-child {
  margin-right: 0;
}
.copyright-link__tournament {
  display: inline-block;
}
.battlefield-start {
  top: 25%;
}
.battlefield-start-ships_types-label {
  font-size: 1.32em;
  margin-bottom: 0.2em;
}
.battlefield-start-ships_types-gap {
  margin: 2em 0 0;
}
.battlefield-start-ships_types {
  display: inline;
}
.battlefield-start-ships_type {
  display: inline;
  margin-left: -0.32em;
  margin-right: 0.25em;
}
.battlefield-start-ships_type-link {
  padding: 0.12em 0.32em;
  cursor: pointer !important;
}
.battlefield-start-ships_type__active .battlefield-start-ships_type-link {
  background: #eee;
  text-decoration: none;
  color: #000;
  cursor: text !important;
}
.ui-draggable {
  cursor: move !important;
}
.ui-draggable:hover {
  z-index: 2147483647;
}
.ui-draggable-dragging {
  z-index: 2147483647;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}
.battlefield-cell-content__droppable {
  background: #eee;
}
.sda {
  position: relative;
}
.sda__vh {
  visibility: hidden;
}
.sda__fixed {
  position: fixed;
  bottom: 0;
  width: 100%;
  z-index: 0;
}
.sda__fixed .sda-block__local {
  position: fixed;
  bottom: 0;
}
.sda-block {
  margin: 0 auto;
  padding: 10px 0;
  text-align: center;
  border-top: 1px solid #eee;
  width: 100%;
}
.sda-block__google {
  width: 100%;
}
.sda-block__google .adsbygoogle {
  display: block !important;
  margin: 0 auto;
  border: 1px solid rgba(0, 0, 0, 0.05);
}
.sda-block__local {
  text-align: center;
  width: 100%;
  font-size: 0.8em;
  z-index: 2;
}
.sda-block__local .sda-block-gap {
  position: relative;
  margin: 0 auto;
  display: inline-block;
  min-height: 90px;
  width: 728px;
  border: 1px solid rgba(0, 0, 0, 0.05);
}
.body-sda {
  background: #fff;
  background: rgba(255, 255, 255, 0.95);
  position: fixed;
  width: 100%;
  z-index: 2;
  bottom: -200px;
  height: 0;
  overflow: hidden;
  transition: bottom 1s;
}
.body__game_over .body-sda {
  bottom: 0;
  overflow: auto;
  height: auto;
}
.body__vk .body-iframe .copyright-gp {
  display: none !important;
}
.body__vk .body-iframe .langs {
  display: none;
}
.body__vk .body-iframe .leave {
  top: 20px;
}
.body__vk .body-iframe .chat-gap {
  margin: 0 20px;
}
.body__vk .body-iframe .chat-gap__compact {
  margin: 0;
}
.body__vk .body-iframe .chat-gap.none {
  display: block;
  visibility: hidden;
}
.body__vk .body-iframe .chat-messages {
  overflow: auto;
  height: 80px;
  margin-top: 0.5em;
  margin-bottom: -0.5em;
}
.online_count {
  font-size: 12px;
  font-weight: 400;
  position: absolute;
  left: 50%;
  top: 100%;
  white-space: nowrap;
  color: #999;
}
@media screen and (-webkit-min-device-pixel-ratio: 0) {
  input[type="checkbox"] {
    zoom: 1.000001;
  }
}
.none {
  display: none;
}
* {
  touch-action: manipulation;
}
html .__adblockplus__overlay,html .adblock-blacklist-dialog,html .adblock-highlight-node,html .adblock-killme-overlay,html iframe[src="chrome-extension://cfhdojbkjhnklbpkdaibdccddilifddb/block.html"]
{
  height: 0 !important;
  width: 0 !important;
  left: -10000px !important;
  top: -10000px !important;
  position: fixed !important;
  display: none !important;
  pointer-events: none !important;
}
